'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.CellFooter = exports.CellBody = exports.CellHeader = exports.Cell = exports.Cells = exports.CellsTitle = void 0;

var _react = _interopRequireDefault(require('react'));

var _propTypes = _interopRequireDefault(require('prop-types'));

var _classnames = _interopRequireDefault(require('classnames'));

require('./index.scss');

var _jsxFileName = 'src/index.js',
    _this = void 0;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /**
                                                                                                                                                                                                                              * Created by winber<winberxie@163.com>.
                                                                                                                                                                                                                              * ComponentName Cell
                                                                                                                                                                                                                              * Desc 组件描述内容
                                                                                                                                                                                                                              * GroupName lm-component
                                                                                                                                                                                                                              */


var CellsTitle = function CellsTitle(_ref) {
    var className = _ref.className,
        children = _ref.children,
        others = _objectWithoutProperties(_ref, ['className', 'children']);

    var cls = (0, _classnames.default)({
        'lm-cells-title': true
    }, className);

    return _react.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 24
            },
            __self: _this
        }, '__self', _this)),
        children
    );
};

exports.CellsTitle = CellsTitle;
var Cells = function Cells(_ref2) {
    var className = _ref2.className,
        children = _ref2.children,
        others = _objectWithoutProperties(_ref2, ['className', 'children']);

    var cls = (0, _classnames.default)({
        'lm-cells': true
    }, className);

    return _react.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 42
            },
            __self: _this
        }, '__self', _this)),
        children
    );
};

exports.Cells = Cells;
var Cell = function Cell(_ref3) {
    var className = _ref3.className,
        children = _ref3.children,
        others = _objectWithoutProperties(_ref3, ['className', 'children']);

    var cls = (0, _classnames.default)({
        'lm-cells-item': true
    }, className);

    return _react.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 60
            },
            __self: _this
        }, '__self', _this)),
        children
    );
};

exports.Cell = Cell;
var CellHeader = function CellHeader(_ref4) {
    var icon = _ref4.icon,
        className = _ref4.className,
        children = _ref4.children,
        others = _objectWithoutProperties(_ref4, ['icon', 'className', 'children']);

    var cls = (0, _classnames.default)({
        'lm-cells-item-header': true
    }, className);

    return _react.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 79
            },
            __self: _this
        }, '__self', _this)),
        _react.default.createElement('img', _defineProperty({ alt: '', src: icon, __source: {
                fileName: _jsxFileName,
                lineNumber: 80
            },
            __self: _this
        }, '__self', _this))
    );
};

exports.CellHeader = CellHeader;
var CellBody = function CellBody(_ref5) {
    var className = _ref5.className,
        children = _ref5.children,
        others = _objectWithoutProperties(_ref5, ['className', 'children']);

    var cls = (0, _classnames.default)({
        'lm-cells-item-body': true
    }, className);

    return _react.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 97
            },
            __self: _this
        }, '__self', _this)),
        children
    );
};
exports.CellBody = CellBody;
var CellFooter = function CellFooter(_ref6) {
    var className = _ref6.className,
        children = _ref6.children,
        direction = _ref6.direction,
        others = _objectWithoutProperties(_ref6, ['className', 'children', 'direction']);

    var cls = (0, _classnames.default)(_defineProperty({
        'lm-cells-item-footer': true
    }, 'lm-cells-item-icon-' + direction, direction), className);

    return _react.default.createElement(
        'div',
        Object.assign({ className: cls }, others, _defineProperty({
            __source: {
                fileName: _jsxFileName,
                lineNumber: 116
            },
            __self: _this
        }, '__self', _this)),
        children
    );
};

exports.CellFooter = CellFooter;
CellFooter.PropTypes = {
    direction: _propTypes.default.string
};